# class Chef::Provider::RemoteFile::LocalFile

### Attributes

new_resource[R]
uri[R]

### Public Class Methods

new(uri, new_resource, current_resource) click to toggle source

    # File lib/chef/provider/remote_file/local_file.rb, line 31
    def initialize(uri, new_resource, current_resource)
      @new_resource = new_resource
      @uri = uri
    end

### Public Instance Methods

fetch() click to toggle source

Fetches the file at uri, returning a Tempfile-like File handle

    # File lib/chef/provider/remote_file/local_file.rb, line 37
    def fetch
      tempfile = Chef::FileContentManagement::Tempfile.new(new_resource).tempfile
      Chef::Log.debug("#{new_resource} staging #{uri.path} to #{tempfile.path}")
      FileUtils.cp(uri.path, tempfile.path)
      tempfile.close if tempfile
      tempfile
    end